Operations

Retry an asynchronous operation

Retries a failed operation in place when its error is retryable. Retrying an organization deletion additionally requires `organization:delete`.

POST
/v1/operations/{id}/retry

Retries a failed operation in place when its error is retryable. Retrying an organization deletion additionally requires organization:delete.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^op_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

OperationAccepted

application/json
  1. response
operation*
links*
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.operations.retry({  "id": "example"});
Example Response
{  "operation": {    "id": "string",    "organizationId": "string",    "kind": "email-domain-provisioning",    "subject": {      "type": "string",      "id": "string"    },    "actor": {      "type": "user",      "id": "string"    },    "status": "pending",    "phase": "accepted",    "error": {      "code": "validation-failed",      "message": "string"    },    "createdAt": "string",    "updatedAt": "string",    "startedAt": "string",    "completedAt": "string"  },  "links": {    "self": "string",    "resource": {      "resource": {        "type": "string",        "id": "string"      },      "href": "string"    }  }}

Related documentation